slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcHasExternalPackage

Determine whether SLEPc has been configured with the given package.

### Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcHasExternalPackage(const char pkg[], PetscBool *has)

Not Collective

### Input Parameter

| pkg | - external package name

### Output Parameter

| has | - PETSC_TRUE if SLEPc is configured with the given package, else PETSC_FALSE

### Notes

This is basically an alternative for SLEPC_HAVE_XXX whenever a preprocessor macro is not available/desirable, e.g. in Python.

The external package name pkg is e.g. "arpack", "primme". It should correspond to the name listed in ./configure --help

The lookup is case insensitive, i.e. looking for "ARPACK" or "arpack" is the same.

### See Also

EPSType, SVDType

### Level

intermediate

### Location

src/sys/slepcutil.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages